<!--
  ~ Copyright (C) 2019 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->
<idea-plugin>
  <depends>org.intellij.intelliLang</depends>
  <extensions defaultExtensionNs="com.intellij">
    <applicationService
        serviceInterface="com.android.tools.idea.appinspection.ide.InspectorArtifactService"
        serviceImplementation="com.android.tools.idea.appinspection.ide.InspectorArtifactServiceImpl"/>
    <toolWindow id="App Inspection"
                      anchor="bottom"
                      icon="StudioIcons.Shell.ToolWindows.INSPECTION"
                      factoryClass="com.android.tools.idea.appinspection.ide.ui.AppInspectionToolWindowFactory"
                      doNotActivateOnStart="true"/>
  </extensions>

  <extensions defaultExtensionNs="com.android.run">
    <androidLaunchTaskContributor implementation="com.android.tools.idea.appinspection.ide.ui.AppInspectionLaunchTaskContributor" />
  </extensions>
</idea-plugin>
